import request from '@/utils/request'

// 查询个体撤销登记信息列表
export function listRegistration(query) {
  return request({
    url: '/basicData/xcrRevokeRegistration/findByPage',
    method: 'get',
    params: query
  })
}

// 查询个体撤销登记信息详细
export function getRegistration(xhCodeId) {
  return request({
    url: '/basicData/xcrRevokeRegistration/' + xhCodeId,
    method: 'get'
  })
}

// 新增个体撤销登记信息
export function addRegistration(data) {
  return request({
    url: '/basicData/xcrRevokeRegistration',
    method: 'post',
    data: data
  })
}

// 修改个体撤销登记信息
export function updateRegistration(data) {
  return request({
    url: '/basicData/xcrRevokeRegistration',
    method: 'put',
    data: data
  })
}

// 删除个体撤销登记信息
export function delRegistration(xhCodeId) {
  return request({
    url: '/basicData/xcrRevokeRegistration/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delRegistrationBatch(ids) {
  return request.post('/basicData/xcrRevokeRegistration/delete',ids)
}
